dst.defineClass("com.dst.slms.base.taxrate.taxRateList", dst.framework.List, {
	initalizeDOM:function(){
		com.dst.slms.base.taxrate.taxRateList.superClass.initalizeDOM.call(this);
	},
	enableAction:function(index){
		this.changeEnable(index,'启用');
	},
	disEnableAction:function(index){
		this.changeEnable(index,'禁用');
	},
	changeEnable:function(index,state){
		var _self = this;
		var id = $(this.gridId).datagrid('getRows')[index].id;
		dst.showConfirm('您确认要'+state+'此记录吗？', function(){
			dst.remoteCall({
				method : "changeEnable",
				async:false,  
				url: _self.uipk,
				param : {id :id,isEnable:(state=='禁用'?0:1)},
				success : function(data, textStatus) {
					_self.refreshAction();
		 		}
			});
		});
	}
});